com.sun.grid.jgdi.event

## Enum EventTypeEnum

- java.lang.Object
- - java.lang.Enum<EventTypeEnum>
  - - com.sun.grid.jgdi.event.EventTypeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EventTypeEnum>

      public enum EventTypeEnum
      extends java.lang.Enum<EventTypeEnum>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AdminHostAdd`
    `AdminHostDel`
    `AdminHostList`
    `AdminHostMod`
    `AdvanceReservationAdd`
    `AdvanceReservationDel`
    `AdvanceReservationList`
    `AdvanceReservationMod`
    `CalendarAdd`
    `CalendarDel`
    `CalendarList`
    `CalendarMod`
    `CheckpointAdd`
    `CheckpointDel`
    `CheckpointList`
    `CheckpointMod`
    `ClusterQueueAdd`
    `ClusterQueueDel`
    `ClusterQueueList`
    `ClusterQueueMod`
    `ComplexEntryAdd`
    `ComplexEntryDel`
    `ComplexEntryList`
    `ComplexEntryMod`
    `ConfigurationAdd`
    `ConfigurationDel`
    `ConfigurationList`
    `ConfigurationMod`
    `ExecHostAdd`
    `ExecHostDel`
    `ExecHostList`
    `ExecHostMod`
    `HostgroupAdd`
    `HostgroupDel`
    `HostgroupList`
    `HostgroupMod`
    `JobAdd`
    `JobDel`
    `JobFinalUsage`
    `JobFinish`
    `JobList`
    `JobMod`
    `JobPriorityMod`
    `JobSchedulingInfoAdd`
    `JobSchedulingInfoDel`
    `JobSchedulingInfoList`
    `JobSchedulingInfoMod`
    `JobTaskAdd`
    `JobTaskDel`
    `JobTaskMod`
    `JobUsage`
    `ManagerAdd`
    `ManagerDel`
    `ManagerList`
    `ManagerMod`
    `OperatorAdd`
    `OperatorDel`
    `OperatorList`
    `OperatorMod`
    `ParallelEnvironmentAdd`
    `ParallelEnvironmentDel`
    `ParallelEnvironmentList`
    `ParallelEnvironmentMod`
    `PETaskAdd`
    `PETaskDel`
    `ProjectAdd`
    `ProjectDel`
    `ProjectList`
    `ProjectMod`
    `QmasterGoesDown`
    `QueueInstanceAdd`
    `QueueInstanceDel`
    `QueueInstanceMod`
    `QueueInstanceSuspend`
    `QueueInstanceUnsuspend`
    `ResourceQuotaSetAdd`
    `ResourceQuotaSetDel`
    `ResourceQuotaSetList`
    `ResourceQuotaSetMod`
    `SchedConfMod`
    `SchedulerRun`
    `ShareTreeMod`
    `Shutdown`
    `SubmitHostAdd`
    `SubmitHostDel`
    `SubmitHostList`
    `SubmitHostMod`
    `UserAdd`
    `UserDel`
    `UserList`
    `UserMod`
    `UserSetAdd`
    `UserSetDel`
    `UserSetList`
    `UserSetMod`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EventTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SubmitHostAdd

          public static final EventTypeEnum SubmitHostAdd

    - #### SubmitHostDel

          public static final EventTypeEnum SubmitHostDel

    - #### SubmitHostList

          public static final EventTypeEnum SubmitHostList

    - #### SubmitHostMod

          public static final EventTypeEnum SubmitHostMod

    - #### HostgroupAdd

          public static final EventTypeEnum HostgroupAdd

    - #### HostgroupDel

          public static final EventTypeEnum HostgroupDel

    - #### HostgroupList

          public static final EventTypeEnum HostgroupList

    - #### HostgroupMod

          public static final EventTypeEnum HostgroupMod

    - #### ShareTreeMod

          public static final EventTypeEnum ShareTreeMod

    - #### AdminHostAdd

          public static final EventTypeEnum AdminHostAdd

    - #### AdminHostDel

          public static final EventTypeEnum AdminHostDel

    - #### AdminHostList

          public static final EventTypeEnum AdminHostList

    - #### AdminHostMod

          public static final EventTypeEnum AdminHostMod

    - #### JobSchedulingInfoAdd

          public static final EventTypeEnum JobSchedulingInfoAdd

    - #### JobSchedulingInfoDel

          public static final EventTypeEnum JobSchedulingInfoDel

    - #### JobSchedulingInfoList

          public static final EventTypeEnum JobSchedulingInfoList

    - #### JobSchedulingInfoMod

          public static final EventTypeEnum JobSchedulingInfoMod

    - #### UserSetAdd

          public static final EventTypeEnum UserSetAdd

    - #### UserSetDel

          public static final EventTypeEnum UserSetDel

    - #### UserSetList

          public static final EventTypeEnum UserSetList

    - #### UserSetMod

          public static final EventTypeEnum UserSetMod

    - #### AdvanceReservationAdd

          public static final EventTypeEnum AdvanceReservationAdd

    - #### AdvanceReservationDel

          public static final EventTypeEnum AdvanceReservationDel

    - #### AdvanceReservationList

          public static final EventTypeEnum AdvanceReservationList

    - #### AdvanceReservationMod

          public static final EventTypeEnum AdvanceReservationMod

    - #### CheckpointAdd

          public static final EventTypeEnum CheckpointAdd

    - #### CheckpointDel

          public static final EventTypeEnum CheckpointDel

    - #### CheckpointList

          public static final EventTypeEnum CheckpointList

    - #### CheckpointMod

          public static final EventTypeEnum CheckpointMod

    - #### JobAdd

          public static final EventTypeEnum JobAdd

    - #### JobDel

          public static final EventTypeEnum JobDel

    - #### JobList

          public static final EventTypeEnum JobList

    - #### JobMod

          public static final EventTypeEnum JobMod

    - #### QueueInstanceAdd

          public static final EventTypeEnum QueueInstanceAdd

    - #### QueueInstanceDel

          public static final EventTypeEnum QueueInstanceDel

    - #### QueueInstanceMod

          public static final EventTypeEnum QueueInstanceMod

    - #### ConfigurationAdd

          public static final EventTypeEnum ConfigurationAdd

    - #### ConfigurationDel

          public static final EventTypeEnum ConfigurationDel

    - #### ConfigurationList

          public static final EventTypeEnum ConfigurationList

    - #### ConfigurationMod

          public static final EventTypeEnum ConfigurationMod

    - #### ProjectAdd

          public static final EventTypeEnum ProjectAdd

    - #### ProjectDel

          public static final EventTypeEnum ProjectDel

    - #### ProjectList

          public static final EventTypeEnum ProjectList

    - #### ProjectMod

          public static final EventTypeEnum ProjectMod

    - #### ComplexEntryAdd

          public static final EventTypeEnum ComplexEntryAdd

    - #### ComplexEntryDel

          public static final EventTypeEnum ComplexEntryDel

    - #### ComplexEntryList

          public static final EventTypeEnum ComplexEntryList

    - #### ComplexEntryMod

          public static final EventTypeEnum ComplexEntryMod

    - #### SchedConfMod

          public static final EventTypeEnum SchedConfMod

    - #### ClusterQueueAdd

          public static final EventTypeEnum ClusterQueueAdd

    - #### ClusterQueueDel

          public static final EventTypeEnum ClusterQueueDel

    - #### ClusterQueueList

          public static final EventTypeEnum ClusterQueueList

    - #### ClusterQueueMod

          public static final EventTypeEnum ClusterQueueMod

    - #### ParallelEnvironmentAdd

          public static final EventTypeEnum ParallelEnvironmentAdd

    - #### ParallelEnvironmentDel

          public static final EventTypeEnum ParallelEnvironmentDel

    - #### ParallelEnvironmentList

          public static final EventTypeEnum ParallelEnvironmentList

    - #### ParallelEnvironmentMod

          public static final EventTypeEnum ParallelEnvironmentMod

    - #### ManagerAdd

          public static final EventTypeEnum ManagerAdd

    - #### ManagerDel

          public static final EventTypeEnum ManagerDel

    - #### ManagerList

          public static final EventTypeEnum ManagerList

    - #### ManagerMod

          public static final EventTypeEnum ManagerMod

    - #### JobTaskAdd

          public static final EventTypeEnum JobTaskAdd

    - #### JobTaskDel

          public static final EventTypeEnum JobTaskDel

    - #### JobTaskMod

          public static final EventTypeEnum JobTaskMod

    - #### UserAdd

          public static final EventTypeEnum UserAdd

    - #### UserDel

          public static final EventTypeEnum UserDel

    - #### UserList

          public static final EventTypeEnum UserList

    - #### UserMod

          public static final EventTypeEnum UserMod

    - #### ExecHostAdd

          public static final EventTypeEnum ExecHostAdd

    - #### ExecHostDel

          public static final EventTypeEnum ExecHostDel

    - #### ExecHostList

          public static final EventTypeEnum ExecHostList

    - #### ExecHostMod

          public static final EventTypeEnum ExecHostMod

    - #### ResourceQuotaSetAdd

          public static final EventTypeEnum ResourceQuotaSetAdd

    - #### ResourceQuotaSetDel

          public static final EventTypeEnum ResourceQuotaSetDel

    - #### ResourceQuotaSetList

          public static final EventTypeEnum ResourceQuotaSetList

    - #### ResourceQuotaSetMod

          public static final EventTypeEnum ResourceQuotaSetMod

    - #### OperatorAdd

          public static final EventTypeEnum OperatorAdd

    - #### OperatorDel

          public static final EventTypeEnum OperatorDel

    - #### OperatorList

          public static final EventTypeEnum OperatorList

    - #### OperatorMod

          public static final EventTypeEnum OperatorMod

    - #### CalendarAdd

          public static final EventTypeEnum CalendarAdd

    - #### CalendarDel

          public static final EventTypeEnum CalendarDel

    - #### CalendarList

          public static final EventTypeEnum CalendarList

    - #### CalendarMod

          public static final EventTypeEnum CalendarMod

    - #### PETaskAdd

          public static final EventTypeEnum PETaskAdd

    - #### PETaskDel

          public static final EventTypeEnum PETaskDel

    - #### QmasterGoesDown

          public static final EventTypeEnum QmasterGoesDown

    - #### SchedulerRun

          public static final EventTypeEnum SchedulerRun

    - #### Shutdown

          public static final EventTypeEnum Shutdown

    - #### JobFinish

          public static final EventTypeEnum JobFinish

    - #### JobUsage

          public static final EventTypeEnum JobUsage

    - #### JobFinalUsage

          public static final EventTypeEnum JobFinalUsage

    - #### JobPriorityMod

          public static final EventTypeEnum JobPriorityMod

    - #### QueueInstanceSuspend

          public static final EventTypeEnum QueueInstanceSuspend

    - #### QueueInstanceUnsuspend

          public static final EventTypeEnum QueueInstanceUnsuspend

  - ### Method Detail

    - #### values

          public static EventTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventTypeEnum c : EventTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventTypeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.